// priority: 0

settings.logAddedRecipes = false
settings.logRemovedRecipes = false
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

//console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  // Change recipes here
  event.remove({id: 'expandedstorage:iron_chest'})
  event.remove({id: 'expandedstorage:gold_chest'})
  event.remove({id: 'expandedstorage:diamond_chest'})
  event.remove({id: 'expandedstorage:obsidian_chest'})
  event.remove({id: 'expandedstorage:netherite_chest'})
  event.remove({id: 'expandedstorage:wood_to_iron_conversion_kit'})
  event.remove({id: 'expandedstorage:wood_to_gold_conversion_kit'})
  event.remove({id: 'expandedstorage:wood_to_diamond_conversion_kit'})
  event.remove({id: 'expandedstorage:wood_to_obsidian_conversion_kit'})
  event.remove({id: 'expandedstorage:wood_to_netherite_conversion_kit'})
  event.remove({id: 'expandedstorage:iron_to_gold_conversion_kit'})
  event.remove({id: 'expandedstorage:iron_to_diamond_conversion_kit'})
  event.remove({id: 'expandedstorage:iron_to_obsidian_conversion_kit'})
  event.remove({id: 'expandedstorage:iron_to_netherite_conversion_kit'})
  event.remove({id: 'expandedstorage:gold_to_diamond_conversion_kit'})
  event.remove({id: 'expandedstorage:gold_to_obsidian_conversion_kit'})
  event.remove({id: 'expandedstorage:gold_to_netherite_conversion_kit'})
  event.remove({id: 'expandedstorage:diamond_to_obsidian_conversion_kit'})
  event.remove({id: 'expandedstorage:diamond_to_netherite_conversion_kit'})
  event.remove({id: 'expandedstorage:obsidian_to_netherite_conversion_kit'})
  event.remove({id: 'storagedrawers:controller'})
  event.remove({id: 'storagedrawers:controller_slave'})
  event.remove({id: 'storagedrawers:compacting_drawers_3'})
  event.remove({id: 'storagedrawers:upgrade_template'})

  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:iron_chest', 1), [
    'III',
    'ICI',
    'III'
  ], {
    I: 'minecraft:iron_ingot',
    C: '#forge:chests/wooden'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:gold_chest', 1), [
    'GGG',
    'GCG',
    'GGG'
  ], {
    G: 'minecraft:gold_ingot',
    C: 'expandedstorage:iron_chest'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:diamond_chest', 1), [
    'GGG',
    'DCD',
    'GGG'
  ], {
    D: 'minecraft:diamond',
    C: 'expandedstorage:gold_chest',
    G: '#forge:glass'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:obsidian_chest', 1), [
    'OOO',
    'OCO',
    'OOO'
  ], {
    O: '#forge:obsidian',
    C: 'expandedstorage:diamond_chest'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:netherite_chest', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'expandedstorage:obsidian_chest'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:wood_to_iron_conversion_kit', 1), [
    'III',
    'ICI',
    'III'
  ], {
    I: 'minecraft:iron_ingot',
    C: 'create:andesite_casing'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:wood_to_gold_conversion_kit', 1), [
    'GGG',
    'GCG',
    'GGG'
  ], {
    G: 'minecraft:gold_ingot',
    C: 'expandedstorage:wood_to_iron_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:wood_to_diamond_conversion_kit', 1), [
    'GGG',
    'DCD',
    'GGG'
  ], {
    D: 'minecraft:diamond',
    C: 'expandedstorage:wood_to_gold_conversion_kit',
    G: '#forge:glass'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:wood_to_obsidian_conversion_kit', 1), [
    'OOO',
    'OCO',
    'OOO'
  ], {
    O: '#forge:obsidian',
    C: 'expandedstorage:wood_to_diamond_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:wood_to_netherite_conversion_kit', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'expandedstorage:wood_to_obsidian_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:iron_to_gold_conversion_kit', 1), [
    'GGG',
    'GCG',
    'GGG'
  ], {
    G: 'minecraft:gold_ingot',
    C: 'minecraft:iron_ingot'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:iron_to_diamond_conversion_kit', 1), [
    'GGG',
    'DCD',
    'GGG'
  ], {
    D: 'minecraft:diamond',
    C: 'expandedstorage:iron_to_gold_conversion_kit',
    G: '#forge:glass'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:iron_to_obsidian_conversion_kit', 1), [
    'OOO',
    'OCO',
    'OOO'
  ], {
    O: '#forge:obsidian',
    C: 'expandedstorage:iron_to_diamond_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:iron_to_netherite_conversion_kit', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'expandedstorage:iron_to_obsidian_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:gold_to_diamond_conversion_kit', 1), [
    'GGG',
    'DCD',
    'GGG'
  ], {
    D: 'minecraft:diamond',
    C: 'minecraft:gold_ingot',
    G: '#forge:glass'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:gold_to_obsidian_conversion_kit', 1), [
    'OOO',
    'OCO',
    'OOO'
  ], {
    O: '#forge:obsidian',
    C: 'expandedstorage:gold_to_diamond_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:gold_to_netherite_conversion_kit', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'expandedstorage:gold_to_obsidian_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:diamond_to_obsidian_conversion_kit', 1), [
    'OOO',
    'OCO',
    'OOO'
  ], {
    O: '#forge:obsidian',
    C: 'minecraft:diamond'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:diamond_to_netherite_conversion_kit', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'expandedstorage:diamond_to_obsidian_conversion_kit'
  })
  event.recipes.create.mechanical_crafting(Item.of('expandedstorage:obsidian_to_netherite_conversion_kit', 1), [
    'CN'
  ], {
    N: 'minecraft:netherite_ingot',
    C: 'minecraft:obsidian'
  })
  event.recipes.create.mechanical_crafting(Item.of('storagedrawers:upgrade_template', 4), [
    'SSS',
    'SDS',
    'SSS'
  ], {
    S: 'minecraft:stick',
    D: '#storagedrawers:drawers'
  })
  event.recipes.create.mechanical_crafting(Item.of('storagedrawers:controller', 1), [
    'AAA',
    'CDC',
    'AGA'
  ], {
    A: 'create:andesite_casing',
    D: '#storagedrawers:drawers',
    C: 'minecraft:comparator',
    G: 'create:shadow_steel'
  })
  event.recipes.create.mechanical_crafting(Item.of('storagedrawers:controller_slave', 1), [
    'AAA',
    'CDC',
    'AGA'
  ], {
    A: 'create:andesite_casing',
    D: '#storagedrawers:drawers',
    C: 'minecraft:comparator',
    G: 'create:brass_ingot'
  })
  event.recipes.create.mechanical_crafting(Item.of('storagedrawers:compacting_drawers_3', 2), [
    'AAA',
    'CDC',
    'AGA'
  ], {
    A: 'create:andesite_casing',
    D: '#storagedrawers:drawers',
    C: 'create:electron_tube',
    G: 'create:brass_ingot'
  })

})

onEvent('item.tags', event => {
  // Get the #forge:cobblestone tag collection and add Diamond Ore to it
  // event.get('forge:cobblestone').add('minecraft:diamond_ore')
  
  // Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
  // event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})